# OpalMediaCryptoKeyInfo Class Reference

`#include <mediasession.h>`

Collaboration diagram for OpalMediaCryptoKeyInfo:

[legend]

## Public Member Functions

virtual | ~OpalMediaCryptoKeyInfo ()
virtual bool | IsValid () const =0
virtual void | Randomise ()=0
virtual bool | FromString (const PString &str)=0
virtual PString | ToString () const =0
const OpalMediaCryptoSuite & | GetCryptoSuite () const
void | SetTag (const PString &tag)
const PString & | GetTag () const

## Protected Member Functions

| OpalMediaCryptoKeyInfo (const OpalMediaCryptoSuite &cryptoSuite)

## Protected Attributes

const OpalMediaCryptoSuite & | m_cryptoSuite
PString | m_tag

## Detailed Description

Class for contianing the cryptographic keys for use by OpalMediaCryptoSuite.

## Constructor & Destructor Documentation

OpalMediaCryptoKeyInfo::OpalMediaCryptoKeyInfo | ( | const OpalMediaCryptoSuite & | cryptoSuite | ) | `[inline, protected]`

virtual OpalMediaCryptoKeyInfo::~OpalMediaCryptoKeyInfo | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual bool OpalMediaCryptoKeyInfo::FromString | ( | const PString & | str | ) | `[pure virtual]`

const OpalMediaCryptoSuite& OpalMediaCryptoKeyInfo::GetCryptoSuite | ( |  | ) | const`[inline]`

const PString& OpalMediaCryptoKeyInfo::GetTag | ( |  | ) | const`[inline]`

virtual bool OpalMediaCryptoKeyInfo::IsValid | ( |  | ) | const`[pure virtual]`

virtual void OpalMediaCryptoKeyInfo::Randomise | ( |  | ) | `[pure virtual]`

void OpalMediaCryptoKeyInfo::SetTag | ( | const PString & | tag | ) | `[inline]`

virtual PString OpalMediaCryptoKeyInfo::ToString | ( |  | ) | const`[pure virtual]`

## Field Documentation

const OpalMediaCryptoSuite& OpalMediaCryptoKeyInfo::m_cryptoSuite `[protected]`

PString OpalMediaCryptoKeyInfo::m_tag `[protected]`

The documentation for this class was generated from the following file:

- mediasession.h